diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/arch/i386/lib/failover_failover.lds LinuxBIOSv2/src/arch/i386/lib/failover_failover.lds
--- LinuxBIOSv2.orig1/src/arch/i386/lib/failover_failover.lds	2006-10-24 22:17:00.000000000 +0000
+++ LinuxBIOSv2/src/arch/i386/lib/failover_failover.lds	2006-10-24 22:36:09.000000000 +0000
@@ -1,2 +1,2 @@
-	__fallback_image = (CONFIG_ROM_STREAM_START & 0xfffffff0) - 8;
-	__normal_image = ((CONFIG_ROM_STREAM_START - FALLBACK_SIZE) & 0xfffffff0) - 8;
+	__fallback_image = (CONFIG_ROM_PAYLOAD_START & 0xfffffff0) - 8;
+	__normal_image = ((CONFIG_ROM_PAYLOAD_START - FALLBACK_SIZE) & 0xfffffff0) - 8;
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/arch/i386/lib/failover.lds LinuxBIOSv2/src/arch/i386/lib/failover.lds
--- LinuxBIOSv2.orig1/src/arch/i386/lib/failover.lds	2006-10-24 22:17:00.000000000 +0000
+++ LinuxBIOSv2/src/arch/i386/lib/failover.lds	2006-10-24 22:36:09.000000000 +0000
@@ -1 +1 @@
-	__normal_image = (CONFIG_ROM_STREAM_START & 0xfffffff0) - 8;
+	__normal_image = (CONFIG_ROM_PAYLOAD_START & 0xfffffff0) - 8;
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/boot/Config.lb LinuxBIOSv2/src/boot/Config.lb
--- LinuxBIOSv2.orig1/src/boot/Config.lb	2006-10-24 22:16:55.000000000 +0000
+++ LinuxBIOSv2/src/boot/Config.lb	2006-10-24 22:36:09.000000000 +0000
@@ -1,5 +1,5 @@
 object elfboot.o
 object hardwaremain.o
-if CONFIG_FS_STREAM
+if CONFIG_FS_PAYLOAD
 	object filo.o
 end
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/boot/hardwaremain.c LinuxBIOSv2/src/boot/hardwaremain.c
--- LinuxBIOSv2.orig1/src/boot/hardwaremain.c	2006-10-24 22:16:55.000000000 +0000
+++ LinuxBIOSv2/src/boot/hardwaremain.c	2006-10-24 22:36:09.000000000 +0000
@@ -88,7 +88,7 @@
 	 */
 	lb_mem = write_tables();
 
-#if CONFIG_FS_STREAM == 1
+#if CONFIG_FS_PAYLOAD == 1
 	filo(lb_mem);
 #else
 	elfboot(lb_mem);
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/config/Options.lb LinuxBIOSv2/src/config/Options.lb
--- LinuxBIOSv2.orig1/src/config/Options.lb	2006-10-24 22:19:52.000000000 +0000
+++ LinuxBIOSv2/src/config/Options.lb	2006-10-24 22:36:09.000000000 +0000
@@ -593,17 +593,17 @@
 # Boot options
 ###############################################
 
-define CONFIG_IDE_STREAM
+define CONFIG_IDE_PAYLOAD
 	default 0
 	export always
 	comment "Boot from IDE device"
 end
-define CONFIG_ROM_STREAM
+define CONFIG_ROM_PAYLOAD
 	default 0
 	export always
 	comment "Boot image is located in ROM" 
 end
-define CONFIG_ROM_STREAM_START
+define CONFIG_ROM_PAYLOAD_START
 	default {0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1}
 	format "0x%x"
 	export always
@@ -624,12 +624,12 @@
 	export always
 	comment "Boot image is already compressed prior to build"
 end
-define CONFIG_SERIAL_STREAM
+define CONFIG_SERIAL_PAYLOAD
 	default 0
 	export always
 	comment "Download boot image from serial port"
 end
-define CONFIG_FS_STREAM
+define CONFIG_FS_PAYLOAD
 	default 0
 	export always
 	comment "Boot from a filesystem"
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/advantech/som_gx533c/Config.lb LinuxBIOSv2/src/mainboard/advantech/som_gx533c/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/advantech/som_gx533c/Config.lb	2006-10-24 22:16:50.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/advantech/som_gx533c/Config.lb	2006-10-24 22:36:09.000000000 +0000
@@ -14,13 +14,13 @@
 ## Compute the start location and size size of
 ## The linuxBIOS bootloader.
 ##
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/advantech/som_gx533c/Options.lb LinuxBIOSv2/src/mainboard/advantech/som_gx533c/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/advantech/som_gx533c/Options.lb	2006-10-24 22:16:50.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/advantech/som_gx533c/Options.lb	2006-10-24 22:36:09.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -20,7 +20,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses _RAMBASE
@@ -105,7 +105,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/agami/aruma/Config.lb LinuxBIOSv2/src/mainboard/agami/aruma/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/agami/aruma/Config.lb	2006-10-24 22:16:55.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/agami/aruma/Config.lb	2006-10-24 22:36:09.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/agami/aruma/Options.lb LinuxBIOSv2/src/mainboard/agami/aruma/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/agami/aruma/Options.lb	2006-10-24 22:16:55.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/agami/aruma/Options.lb	2006-10-24 22:36:09.000000000 +0000
@@ -18,8 +18,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -184,7 +184,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/amd/quartet/Config.lb LinuxBIOSv2/src/mainboard/amd/quartet/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/amd/quartet/Config.lb	2006-10-24 22:16:50.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/amd/quartet/Config.lb	2006-10-24 22:36:09.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/amd/quartet/Options.lb LinuxBIOSv2/src/mainboard/amd/quartet/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/amd/quartet/Options.lb	2006-10-24 22:16:50.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/amd/quartet/Options.lb	2006-10-24 22:36:09.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -144,7 +144,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/amd/rumba/Config.lb LinuxBIOSv2/src/mainboard/amd/rumba/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/amd/rumba/Config.lb	2006-10-24 22:16:51.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/amd/rumba/Config.lb	2006-10-24 22:36:09.000000000 +0000
@@ -14,13 +14,13 @@
 ## Compute the start location and size size of
 ## The linuxBIOS bootloader.
 ##
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/amd/rumba/Options.lb LinuxBIOSv2/src/mainboard/amd/rumba/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/amd/rumba/Options.lb	2006-10-24 22:19:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/amd/rumba/Options.lb	2006-10-24 22:36:09.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -20,7 +20,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses PAYLOAD_SIZE
 uses _ROMBASE
@@ -106,7 +106,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/amd/serenade/Config.lb LinuxBIOSv2/src/mainboard/amd/serenade/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/amd/serenade/Config.lb	2006-10-24 22:16:51.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/amd/serenade/Config.lb	2006-10-24 22:36:09.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/amd/serenade/Options.lb LinuxBIOSv2/src/mainboard/amd/serenade/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/amd/serenade/Options.lb	2006-10-24 22:16:51.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/amd/serenade/Options.lb	2006-10-24 22:36:09.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -143,7 +143,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/amd/serengeti_cheetah/Config.lb LinuxBIOSv2/src/mainboard/amd/serengeti_cheetah/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/amd/serengeti_cheetah/Config.lb	2006-10-24 22:16:51.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/amd/serengeti_cheetah/Config.lb	2006-10-24 22:36:09.000000000 +0000
@@ -20,12 +20,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/amd/serengeti_cheetah/Options.lb LinuxBIOSv2/src/mainboard/amd/serengeti_cheetah/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/amd/serengeti_cheetah/Options.lb	2006-10-24 22:19:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/amd/serengeti_cheetah/Options.lb	2006-10-24 22:36:09.000000000 +0000
@@ -21,8 +21,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses PAYLOAD_SIZE
 uses _ROMBASE
@@ -265,7 +265,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 #default CONFIG_COMPRESSED_PAYLOAD_NRV2B = 1
 
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/amd/serengeti_leopard/Config.lb LinuxBIOSv2/src/mainboard/amd/serengeti_leopard/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/amd/serengeti_leopard/Config.lb	2006-10-24 22:16:51.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/amd/serengeti_leopard/Config.lb	2006-10-24 22:36:09.000000000 +0000
@@ -20,12 +20,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/amd/serengeti_leopard/Options.lb LinuxBIOSv2/src/mainboard/amd/serengeti_leopard/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/amd/serengeti_leopard/Options.lb	2006-10-24 22:16:51.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/amd/serengeti_leopard/Options.lb	2006-10-24 22:36:09.000000000 +0000
@@ -21,8 +21,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -244,7 +244,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/amd/solo/Config.lb LinuxBIOSv2/src/mainboard/amd/solo/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/amd/solo/Config.lb	2006-10-24 22:16:51.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/amd/solo/Config.lb	2006-10-24 22:36:09.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/amd/solo/Options.lb LinuxBIOSv2/src/mainboard/amd/solo/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/amd/solo/Options.lb	2006-10-24 22:16:51.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/amd/solo/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -16,8 +16,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -145,7 +145,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/arima/hdama/Config.lb LinuxBIOSv2/src/mainboard/arima/hdama/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/arima/hdama/Config.lb	2006-10-24 22:16:49.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/arima/hdama/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/arima/hdama/Options.lb LinuxBIOSv2/src/mainboard/arima/hdama/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/arima/hdama/Options.lb	2006-10-24 22:16:49.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/arima/hdama/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -162,7 +162,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/artecgroup/dbe61/Config.lb LinuxBIOSv2/src/mainboard/artecgroup/dbe61/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/artecgroup/dbe61/Config.lb	2006-10-24 22:16:53.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/artecgroup/dbe61/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -14,13 +14,13 @@
 ## Compute the start location and size size of
 ## The linuxBIOS bootloader.
 ##
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/artecgroup/dbe61/Options.lb LinuxBIOSv2/src/mainboard/artecgroup/dbe61/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/artecgroup/dbe61/Options.lb	2006-10-24 22:19:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/artecgroup/dbe61/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -20,7 +20,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses PAYLOAD_SIZE
 uses _ROMBASE
@@ -113,7 +113,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/asus/p2b/Config.lb LinuxBIOSv2/src/mainboard/asus/p2b/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/asus/p2b/Config.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/asus/p2b/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -14,13 +14,13 @@
 ## Compute the start location and size size of
 ## The linuxBIOS bootloader.
 ##
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/asus/p2b/Options.lb LinuxBIOSv2/src/mainboard/asus/p2b/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/asus/p2b/Options.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/asus/p2b/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -20,7 +20,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses _RAMBASE
@@ -99,7 +99,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/bitworks/ims/Config.lb LinuxBIOSv2/src/mainboard/bitworks/ims/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/bitworks/ims/Config.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/bitworks/ims/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -14,13 +14,13 @@
 ## Compute the start location and size size of
 ## The linuxBIOS bootloader.
 ##
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/bitworks/ims/Options.lb LinuxBIOSv2/src/mainboard/bitworks/ims/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/bitworks/ims/Options.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/bitworks/ims/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -20,7 +20,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses _RAMBASE
@@ -99,7 +99,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/broadcom/blast/Config.lb LinuxBIOSv2/src/mainboard/broadcom/blast/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/broadcom/blast/Config.lb	2006-10-24 22:16:47.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/broadcom/blast/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/broadcom/blast/Options.lb LinuxBIOSv2/src/mainboard/broadcom/blast/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/broadcom/blast/Options.lb	2006-10-24 22:16:47.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/broadcom/blast/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -17,8 +17,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -195,7 +195,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/dell/s1850/Config.lb LinuxBIOSv2/src/mainboard/dell/s1850/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/dell/s1850/Config.lb	2006-10-24 22:16:46.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/dell/s1850/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -20,12 +20,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/dell/s1850/Options.lb LinuxBIOSv2/src/mainboard/dell/s1850/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/dell/s1850/Options.lb	2006-10-24 22:16:46.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/dell/s1850/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -154,7 +154,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM=1
+default CONFIG_ROM_PAYLOAD=1
 
 
 ###
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/densitron/dpx114/Config.lb LinuxBIOSv2/src/mainboard/densitron/dpx114/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/densitron/dpx114/Config.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/densitron/dpx114/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/densitron/dpx114/Options.lb LinuxBIOSv2/src/mainboard/densitron/dpx114/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/densitron/dpx114/Options.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/densitron/dpx114/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -20,7 +20,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses _RAMBASE
@@ -97,7 +97,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/digitallogic/adl855pc/Config.lb LinuxBIOSv2/src/mainboard/digitallogic/adl855pc/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/digitallogic/adl855pc/Config.lb	2006-10-24 22:16:49.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/digitallogic/adl855pc/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/digitallogic/adl855pc/Options.lb LinuxBIOSv2/src/mainboard/digitallogic/adl855pc/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/digitallogic/adl855pc/Options.lb	2006-10-24 22:16:49.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/digitallogic/adl855pc/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses CONFIG_UDELAY_IO
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
@@ -21,7 +21,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses _RAMBASE
@@ -102,7 +102,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/digitallogic/msm586seg/Config.lb LinuxBIOSv2/src/mainboard/digitallogic/msm586seg/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/digitallogic/msm586seg/Config.lb	2006-10-24 22:16:49.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/digitallogic/msm586seg/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -17,12 +17,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
